# Get Instant Quote

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Instant Orders", href: "/trading/rest-api/instant-orders" },
    { label: "Get Instant Quote" },
  ]}
  title="Get Instant Quote"
  method="POST"
  url="https://api.gemini.com/v1/instant/quote"
  description="Requests an instant quote for a buy or sell of a supported symbol. The returned quote locks in a price and fee for a short window, which can then be submitted to Execute Instant Order."
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/instant/quote",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/instant/quote",
        nonce: "<nonce>",
        symbol: "btcusd",
        side: "buy",
        totalSpend: "100",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>orders:create</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="getInstantQuote" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="getInstantQuote" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="getInstantQuote" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Instant Orders", href: "/trading/rest-api/instant-orders" }}
  next={{ label: "Execute Instant Order", href: "/trading/rest-api/instant-orders/execute-instant-order" }}
/>
